Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.generators
Class RSABlindingFactorGenerator

    java.lang.Object
      org.bouncycastle.crypto.generators.RSABlindingFactorGenerator

    public class RSABlindingFactorGenerator

extends java.lang.Object

Generate a random factor suitable for use with RSA blind signatures as outlined in Chaum's blinding and unblinding as outlined in "Handbook of Applied Cryptography", page 475.

Constructor Summary
`RSABlindingFactorGenerator()`

Method Summary
`java.math.BigInteger` | `generateBlindingFactor()` Generate a suitable blind factor for the public key the generator was initialised with.
`void` | `init(CipherParameters param)` Initialise the factor generator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSABlindingFactorGenerator

    public RSABlindingFactorGenerator()

Method Detail

### init

    public void init(CipherParameters param)

  Initialise the factor generator

  Parameters:
    `param` - the necessary RSA key parameters.

### generateBlindingFactor

    public java.math.BigInteger generateBlindingFactor()

  Generate a suitable blind factor for the public key the generator was initialised with.

  Returns:
    a random blind factor

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD